{
	"name": "plugin/external/lantek/lantek-convert.json",
	"field_type": {
		"10": "boolean",
		"20": "text",
		"70-original": "enumerated",
		"70": "integer",
		"80": "integer",
		"100": "double",
		"120": "date"
	},
	"table_convert": {
		"PRODUCTS": { "name": "product", "path": "product/" },
		"PRODUCT OPERATIONS": { "name": "product_operation", "path": "product/" },
		"IMPORTGEO": { "name": "import_geo", "path": "product/" },
		"MANUFACTURING": { "name": "manufacturing", "path": "product/" },
		"MACHINEJOB": { "name": "machine_job", "path": "product/" },
		"NESTING": { "name": "nesting", "path": "product/" },
		"PARTS": { "name": "parts", "path": "product/" },
		"PART": { "name": "part", "path": "product/" },
		"SCRAPPARTREASON": { "name": "scrap_part_reason", "path": "product/" },
		"DOCUMENTS": { "name": "document", "path": "product/" },
		"SHEET": { "name": "sheet", "path": "product/" },
		"LABORTICKET": { "name": "labor_ticket", "path": "product/" },
		"REMNANT": { "name": "remnant", "path": "product/" },
		"MACHINING": { "name": "machining", "path": "product/" }
	},
	"default_value": {
		"order": {
			"static": {
				"company_id": "7000",
				"order_state": "AV",
				"person_id": "HV",
				"terms_of_payment_id": "K"
			},
			"copy_value": {
				"company_reference_number": "json_data.project_id"
			},
			"code": [
				{
					"function": "lowerCase",
					"parameter": [
						{
							"tag": "DATAEX.element[].attribute.TblRef"
						}
					],
					"result": "table_name"
				}
			]
		},
		"order_row": {
			"code": [
				{
					"function": "upperCase",
					"parameter": [
						{
							"tag": "product_id"
						}
					],
					"result": "product_id"
				}
			]
		}
	}
}
